Summary: The GNOME Volume Manager
Name: gnome-volume-manager
Version: 0.7
Release: 3mdk
License: GPL
URL: http://www.gnome.org/
Group: Graphical desktop/GNOME
Source: gnome-volume-manager-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: hal-devel
BuildRequires: intltool
BuildRequires: autoconf2.5
Requires: gnome-mime-data
Requires: hal >= 0.2.4 
Requires: gnome-control-center >= 2.0
Requires: dbus >= 0.20

%description
The GNOME Volume Manager monitors volume-related events and responds with
user-specified policy.  The GNOME Volume Manager can automount hot-plugged
drives, automount inserted removable media, autorun programs, automatically
play audio CDs and video DVDs, and automatically import photos from a digital
camera.  The GNOME Volume Manager does this entirely in user-space and without
polling.

The GNOME Voume Manager sits at the top end of a larger picture that aims to
integrate the Linux system from the kernel on up through the deskto and its
applications.

%prep
%setup -q

#fix build
rm -f depcomp install-sh missing mkinstalldirs
aclocal
automake -a -c
WANT_AUTOCONF_2_5=1 autoconf
chmod a+r AUTHORS ChangeLog HACKING INSTALL README TODO

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name


%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-volume-manager.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog HACKING INSTALL README TODO
%{_bindir}/*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/gnome-volume-manager
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Fri Jan 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Fix buildrequires :)
- Fix url

* Wed Jan 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-2mdk
- fix buildrequires
- fix build

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Initial Mdk package (based on Robert Love package)

